#!/usr/bin/env bash
URL="localhost:32168/nas/service/login${QUERY_STRING:+?$QUERY_STRING}"
if [ "$CONTENT_LENGTH" -gt "0" ]; then
    read -r -n $CONTENT_LENGTH REQUEST_BODY
    RESPONSE=$(echo "$REQUEST_BODY" | curl -X "$REQUEST_METHOD" -i -H "Expect:" -H "Content-Type: $CONTENT_TYPE" --data "@-" "$URL")
else
    RESPONSE=$(curl -X "$REQUEST_METHOD" -i "$URL")
fi
RESPONSE_HEADER_BODY_SEPARATOR=$'\r\n\r\n'
RESPONSE_BODY=${RESPONSE#*${RESPONSE_HEADER_BODY_SEPARATOR}}
RESPONSE_HEADER=${RESPONSE: 0: $(( ${#RESPONSE} - ${#RESPONSE_BODY} - ${#RESPONSE_HEADER_BODY_SEPARATOR}))}
echo "${RESPONSE_HEADER}" | while read -r header; do
	if [[ $header ==  HTTP/* ]]; then
		echo "Status: ${header#*$' '}"
	elif [[ $header == Content-Type:* ]] || [[ $header == Location:* ]]; then
		echo "${header}"
	fi
done
echo ""
echo "${RESPONSE_BODY}"